--- gnus-sum.el~	Mon Jan 14 22:01:26 2002
+++ gnus-sum.el	Tue Jan 15 09:01:16 2002
@@ -4981,6 +4981,10 @@
        ((eq mark-type 'range)
 	(cond
 	 ((eq mark 'seen)
+	  ;; Fix the record for `seen' if it looks like (seen NUM1 . NUM2).
+	  ;; It should be (seen (NUM1 . NUM2)).
+	  (when (numberp (cddr marks))
+	    (setcdr marks (list (cdr marks))))
 	  (setq articles (cdr marks))
 	  (while (and articles
 		      (or (and (consp (car articles))
